<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: init/initinfo.c Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_f813120d4be15aaed9e35a3518d2a85e.html">init</a>
  </div>
</div>
<div class="contents">
<h1>initinfo.c</h1><a href="initinfo_8c.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    This file is part of magpar.</span>
<a name="l00003"></a>00003 <span class="comment"></span>
<a name="l00004"></a>00004 <span class="comment">    Copyright (C) 2002-2010 Werner Scholz</span>
<a name="l00005"></a>00005 <span class="comment"></span>
<a name="l00006"></a>00006 <span class="comment">    www:   http://www.magpar.net/</span>
<a name="l00007"></a>00007 <span class="comment">    email: magpar(at)magpar.net</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">    magpar is free software; you can redistribute it and/or modify</span>
<a name="l00010"></a>00010 <span class="comment">    it under the terms of the GNU General Public License as published by</span>
<a name="l00011"></a>00011 <span class="comment">    the Free Software Foundation; either version 2 of the License, or</span>
<a name="l00012"></a>00012 <span class="comment">    (at your option) any later version.</span>
<a name="l00013"></a>00013 <span class="comment"></span>
<a name="l00014"></a>00014 <span class="comment">    magpar is distributed in the hope that it will be useful,</span>
<a name="l00015"></a>00015 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00016"></a>00016 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span>
<a name="l00017"></a>00017 <span class="comment">    GNU General Public License for more details.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">    You should have received a copy of the GNU General Public License</span>
<a name="l00020"></a>00020 <span class="comment">    along with magpar; if not, write to the Free Software</span>
<a name="l00021"></a>00021 <span class="comment">    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA</span>
<a name="l00022"></a>00022 <span class="comment">*/</span>
<a name="l00023"></a>00023 
<a name="l00024"></a>00024 <span class="keyword">static</span> <span class="keywordtype">char</span> <span class="keyword">const</span> Id[] = <span class="stringliteral">&quot;$Id: initinfo.c 3013 2010-03-26 16:12:31Z scholz $\n\n&quot;</span>;
<a name="l00025"></a>00025 <span class="keyword">static</span> <span class="keywordtype">char</span> <span class="keyword">const</span> Td[] = <span class="stringliteral">&quot;$Today: &quot;</span> __FILE__ <span class="stringliteral">&quot;  &quot;</span> __DATE__ <span class="stringliteral">&quot;  &quot;</span>  __TIME__  <span class="stringliteral">&quot; $\n\n&quot;</span>;
<a name="l00026"></a>00026 
<a name="l00027"></a>00027 <span class="preprocessor">#include &quot;<a class="code" href="magpar__version_8h.html">magpar_version.h</a>&quot;</span>
<a name="l00028"></a>00028 <span class="preprocessor">#include &quot;<a class="code" href="init_8h.html">init.h</a>&quot;</span>
<a name="l00029"></a>00029 
<a name="l00030"></a>00030 <span class="preprocessor">#ifdef METIS</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>EXTERN_C_BEGIN
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;metis.h&quot;</span>
<a name="l00033"></a>00033 EXTERN_C_END
<a name="l00034"></a>00034 <span class="preprocessor">#endif</span>
<a name="l00035"></a>00035 <span class="preprocessor"></span>
<a name="l00036"></a>00036 <span class="preprocessor">#ifdef SUNDIALS_VERSION</span>
<a name="l00037"></a>00037 <span class="preprocessor"></span><span class="preprocessor">#include &quot;<a class="code" href="llg_8h.html">llg/llg.h</a>&quot;</span>
<a name="l00038"></a>00038 <span class="preprocessor">#endif</span>
<a name="l00039"></a>00039 <span class="preprocessor"></span>
<a name="l00040"></a>00040 <span class="preprocessor">#ifdef PNG</span>
<a name="l00041"></a>00041 <span class="preprocessor"></span><span class="preprocessor">#include &quot;png.h&quot;</span>
<a name="l00042"></a>00042 <span class="preprocessor">#endif</span>
<a name="l00043"></a>00043 <span class="preprocessor"></span>
<a name="l00044"></a>00044 <span class="preprocessor">#ifdef ZLIB</span>
<a name="l00045"></a>00045 <span class="preprocessor"></span><span class="preprocessor">#include &quot;zlib.h&quot;</span>
<a name="l00046"></a>00046 <span class="preprocessor">#endif</span>
<a name="l00047"></a>00047 <span class="preprocessor"></span>
<a name="l00048"></a>00048 <span class="preprocessor">#ifdef ADDONS</span>
<a name="l00049"></a>00049 <span class="preprocessor"></span><span class="preprocessor">#include &quot;addons/addons.h&quot;</span>
<a name="l00050"></a>00050 <span class="preprocessor">#endif</span>
<a name="l00051"></a>00051 <span class="preprocessor"></span>
<a name="l00052"></a><a class="code" href="initinfo_8c.html#a25ee3bfa58a704838a8bc6309f083f5c">00052</a> <span class="keywordtype">int</span> <a class="code" href="init_8h.html#a25ee3bfa58a704838a8bc6309f083f5c">InitInfo</a>()
<a name="l00053"></a>00053 {
<a name="l00054"></a>00054   <a class="code" href="griddata_8h.html#a3d9da926137619fd02adb245a08536c7">MagparFunctionLogBegin</a>;
<a name="l00055"></a>00055 
<a name="l00056"></a>00056   <span class="keywordtype">int</span> rank,size;
<a name="l00057"></a>00057   ierr = MPI_Comm_size(PETSC_COMM_WORLD,&amp;size);CHKERRQ(ierr);
<a name="l00058"></a>00058   ierr = MPI_Comm_rank(PETSC_COMM_WORLD,&amp;rank);CHKERRQ(ierr);
<a name="l00059"></a>00059 
<a name="l00060"></a>00060   PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;\nmagpar compiled with...\n&quot;</span>);
<a name="l00061"></a>00061 <span class="preprocessor">#ifdef __GNUC__</span>
<a name="l00062"></a>00062 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - GNU C(++) version &quot;</span>__VERSION__<span class="stringliteral">&quot;\n&quot;</span>);
<a name="l00063"></a>00063 <span class="preprocessor">#endif</span>
<a name="l00064"></a>00064 <span class="preprocessor"></span><span class="preprocessor">#if defined(_WIN32) || defined (__CYGWIN32__)</span>
<a name="l00065"></a>00065 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - Cygwin environment\n&quot;</span>);
<a name="l00066"></a>00066 <span class="preprocessor">#endif</span>
<a name="l00067"></a>00067 <span class="preprocessor"></span>
<a name="l00068"></a>00068   PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - assert checks &quot;</span>);
<a name="l00069"></a>00069 <span class="preprocessor">#ifdef NDEBUG</span>
<a name="l00070"></a>00070 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;disabled (NDEBUG defined)\n&quot;</span>);
<a name="l00071"></a>00071 <span class="preprocessor">#else</span>
<a name="l00072"></a>00072 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;enabled (NDEBUG undefined)\n&quot;</span>);
<a name="l00073"></a>00073 <span class="preprocessor">#endif</span>
<a name="l00074"></a>00074 <span class="preprocessor"></span>
<a name="l00075"></a>00075 <span class="preprocessor">#ifdef UNIPROC</span>
<a name="l00076"></a>00076 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - uniprocessor support only (by PETSc configuration)\n&quot;</span>);
<a name="l00077"></a>00077 <span class="preprocessor">#else</span>
<a name="l00078"></a>00078 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - MPI for parallelization on multiple processors\n&quot;</span>);
<a name="l00079"></a>00079 <span class="preprocessor">#endif</span>
<a name="l00080"></a>00080 <span class="preprocessor"></span>
<a name="l00081"></a>00081   PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - X11 support &quot;</span>);
<a name="l00082"></a>00082 <span class="preprocessor">#ifdef PETSC_HAVE_X11</span>
<a name="l00083"></a>00083 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;enabled for visualizing matrix structures\n&quot;</span>);
<a name="l00084"></a>00084 <span class="preprocessor">#else</span>
<a name="l00085"></a>00085 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;disabled\n&quot;</span>);
<a name="l00086"></a>00086 <span class="preprocessor">#endif</span>
<a name="l00087"></a>00087 <span class="preprocessor"></span>
<a name="l00088"></a>00088   PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - EXCH &quot;</span>);
<a name="l00089"></a>00089 <span class="preprocessor">#ifdef EXCH</span>
<a name="l00090"></a>00090 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;defined\n&quot;</span>);
<a name="l00091"></a>00091 <span class="preprocessor">#else</span>
<a name="l00092"></a>00092 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;undefined\n&quot;</span>);
<a name="l00093"></a>00093 <span class="preprocessor">#endif</span>
<a name="l00094"></a>00094 <span class="preprocessor"></span>
<a name="l00095"></a>00095   PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - floating point data/operations using &quot;</span>);
<a name="l00096"></a>00096 <span class="preprocessor">#ifdef PETSC_USE_SINGLE</span>
<a name="l00097"></a>00097 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;single precision\n&quot;</span>);
<a name="l00098"></a>00098   <span class="keywordflow">if</span> (2*<span class="keyword">sizeof</span>(PetscReal)!=<span class="keyword">sizeof</span>(<span class="keywordtype">double</span>)) PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;Warning: 2*sizeof(PetscReal)!=sizeof(double)\n&quot;</span>);
<a name="l00099"></a>00099 <span class="preprocessor">#else</span>
<a name="l00100"></a>00100 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;double precision\n&quot;</span>);
<a name="l00101"></a>00101   <span class="keywordflow">if</span> (<span class="keyword">sizeof</span>(PetscReal)!=<span class="keyword">sizeof</span>(<span class="keywordtype">double</span>)) PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;Warning: sizeof(PetscReal)!=sizeof(double)\n&quot;</span>);
<a name="l00102"></a>00102 <span class="preprocessor">#endif</span>
<a name="l00103"></a>00103 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;   (see also data type sizes below)\n&quot;</span>);
<a name="l00104"></a>00104 
<a name="l00105"></a>00105 <span class="preprocessor">#ifdef ADDONS</span>
<a name="l00106"></a>00106 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - add-ons included\n&quot;</span>);
<a name="l00107"></a>00107   PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - dense boundary matrix and MF+ approximation\n&quot;</span>);
<a name="l00108"></a>00108 <span class="preprocessor">#else</span>
<a name="l00109"></a>00109 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - dense boundary matrix for demagnetizing field\n&quot;</span>);
<a name="l00110"></a>00110 <span class="preprocessor">#endif</span>
<a name="l00111"></a>00111 <span class="preprocessor"></span>
<a name="l00112"></a>00112   PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;\nLinked libraries:\n&quot;</span>);
<a name="l00113"></a>00113 
<a name="l00114"></a>00114   PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - PETSc    (version %i.%i.%ipl%i): core library (parallel data structures, solvers)\n&quot;</span>,
<a name="l00115"></a>00115     PETSC_VERSION_MAJOR,PETSC_VERSION_MINOR,PETSC_VERSION_SUBMINOR,PETSC_VERSION_PATCH);
<a name="l00116"></a>00116 
<a name="l00117"></a>00117 <span class="preprocessor">#ifndef UNIPROC</span>
<a name="l00118"></a>00118 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - MPI      (version %i.%i): message passing standard\n&quot;</span>,
<a name="l00119"></a>00119     MPI_VERSION,MPI_SUBVERSION);
<a name="l00120"></a>00120 <span class="preprocessor">#ifdef MPICH_VERSION</span>
<a name="l00121"></a>00121 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - MPICH    (version %s): message passing library\n&quot;</span>,
<a name="l00122"></a>00122     MPICH_VERSION);
<a name="l00123"></a>00123 <span class="preprocessor">#elif defined(MPICH2)</span>
<a name="l00124"></a>00124 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - MPICH    (version %i): message passing library\n&quot;</span>,
<a name="l00125"></a>00125     MPICH2);
<a name="l00126"></a>00126 <span class="preprocessor">#endif</span>
<a name="l00127"></a>00127 <span class="preprocessor"></span><span class="preprocessor">#ifdef LAM_MPI</span>
<a name="l00128"></a>00128 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - LAM/MPI  (version %s): message passing library\n&quot;</span>,
<a name="l00129"></a>00129     LAM_VERSION);
<a name="l00130"></a>00130 <span class="preprocessor">#endif</span>
<a name="l00131"></a>00131 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00132"></a>00132 <span class="preprocessor"></span>
<a name="l00133"></a>00133 <span class="preprocessor">#ifdef METIS</span>
<a name="l00134"></a>00134 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - ParMetis (version &quot;</span>);
<a name="l00135"></a>00135 <span class="preprocessor">#ifdef PARMETIS_MAJOR_VERSION</span>
<a name="l00136"></a>00136 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;%i&quot;</span>,PARMETIS_MAJOR_VERSION);
<a name="l00137"></a>00137 <span class="preprocessor">#endif</span>
<a name="l00138"></a>00138 <span class="preprocessor"></span><span class="preprocessor">#ifdef PARMETIS_MINOR_VERSION</span>
<a name="l00139"></a>00139 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;.%i&quot;</span>,PARMETIS_MINOR_VERSION);
<a name="l00140"></a>00140 <span class="preprocessor">#endif</span>
<a name="l00141"></a>00141 <span class="preprocessor"></span><span class="preprocessor">#ifdef PARMETIS_SUBMINOR_VERSION</span>
<a name="l00142"></a>00142 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;.%i&quot;</span>,PARMETIS_SUBMINOR_VERSION);
<a name="l00143"></a>00143 <span class="preprocessor">#endif</span>
<a name="l00144"></a>00144 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;): mesh partitioning\n&quot;</span>);
<a name="l00145"></a>00145   PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;   using within:&quot;</span>);
<a name="l00146"></a>00146   PetscPrintf(PETSC_COMM_WORLD,METISTITLE);
<a name="l00147"></a>00147 <span class="preprocessor">#else</span>
<a name="l00148"></a>00148 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - ParMetis not linked - mesh partitioning unavailable.\n&quot;</span>);
<a name="l00149"></a>00149 <span class="preprocessor">#endif</span>
<a name="l00150"></a>00150 <span class="preprocessor"></span>
<a name="l00151"></a>00151 <span class="preprocessor">#ifdef SUNDIALS_VERSION</span>
<a name="l00152"></a>00152 <span class="preprocessor"></span><span class="preprocessor">#if SUNDIALS_VERSION &lt; 230</span>
<a name="l00153"></a>00153 <span class="preprocessor"></span><span class="preprocessor">#error &quot;SUNDIALS versions lower/older than 2.3.0 are not supported&quot;</span>
<a name="l00154"></a>00154 <span class="preprocessor"></span><span class="preprocessor">#endif</span>
<a name="l00155"></a>00155 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - SUNDIALS (version %s): time integration of LLG\n&quot;</span>,
<a name="l00156"></a>00156     SUNDIALS_PACKAGE_VERSION);
<a name="l00157"></a>00157 <span class="preprocessor">#else</span>
<a name="l00158"></a>00158 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - PVODE time integration not available\n&quot;</span>);
<a name="l00159"></a>00159 <span class="preprocessor">#endif</span>
<a name="l00160"></a>00160 <span class="preprocessor"></span>
<a name="l00161"></a>00161 <span class="preprocessor">#ifdef TAO</span>
<a name="l00162"></a>00162 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - TAO      (version %s): energy minimization\n&quot;</span>,TAO_VERSION_NUMBER);
<a name="l00163"></a>00163   PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;   This product includes software produced by UChicago Argonne, LLC\n&quot;</span>);
<a name="l00164"></a>00164   PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;   under Contract No. DE-AC02-06CH11357 with the Department of Energy.\n&quot;</span>);
<a name="l00165"></a>00165 <span class="preprocessor">#else</span>
<a name="l00166"></a>00166 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - TAO energy minimization not available\n&quot;</span>);
<a name="l00167"></a>00167 <span class="preprocessor">#endif</span>
<a name="l00168"></a>00168 <span class="preprocessor"></span>
<a name="l00169"></a>00169 <span class="preprocessor">#ifdef PNG</span>
<a name="l00170"></a>00170 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - libpng   (version %s): png graphics output\n&quot;</span>,
<a name="l00171"></a>00171     PNG_LIBPNG_VER_STRING);
<a name="l00172"></a>00172 <span class="preprocessor">#else</span>
<a name="l00173"></a>00173 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - PNG output not available\n&quot;</span>);
<a name="l00174"></a>00174 <span class="preprocessor">#endif</span>
<a name="l00175"></a>00175 <span class="preprocessor"></span>
<a name="l00176"></a>00176 <span class="preprocessor">#ifdef ZLIB</span>
<a name="l00177"></a>00177 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - zlib     (version %s): compression of output files\n&quot;</span>,ZLIB_VERSION);
<a name="l00178"></a>00178 <span class="preprocessor">#else</span>
<a name="l00179"></a>00179 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - zlib compression not available\n&quot;</span>);
<a name="l00180"></a>00180 <span class="preprocessor">#endif</span>
<a name="l00181"></a>00181 <span class="preprocessor"></span>
<a name="l00182"></a>00182 <span class="preprocessor">#ifdef PETSC_HAVE_SUPERLU_DIST</span>
<a name="l00183"></a>00183 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - SuperLU available for parallel direct LU solver\n&quot;</span>);
<a name="l00184"></a>00184 <span class="preprocessor">#endif</span>
<a name="l00185"></a>00185 <span class="preprocessor"></span>
<a name="l00186"></a>00186 <span class="preprocessor">#ifdef PETSC_HAVE_UMFPACK</span>
<a name="l00187"></a>00187 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - UMFPACK available for sequential direct LU solver\n&quot;</span>);
<a name="l00188"></a>00188 <span class="preprocessor">#endif</span>
<a name="l00189"></a>00189 <span class="preprocessor"></span>
<a name="l00190"></a>00190 <span class="preprocessor">#ifdef PETSC_HAVE_HYPRE</span>
<a name="l00191"></a>00191 <span class="preprocessor"></span>  PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - hypre available for preconditioning\n&quot;</span>);
<a name="l00192"></a>00192 <span class="preprocessor">#endif</span>
<a name="l00193"></a>00193 <span class="preprocessor"></span>
<a name="l00194"></a>00194 <span class="preprocessor">#ifdef PYTHON</span>
<a name="l00195"></a>00195 <span class="preprocessor"></span>  <span class="keyword">const</span> <span class="keywordtype">char</span> *pythonversion;
<a name="l00196"></a>00196   pythonversion=Py_GetVersion();
<a name="l00197"></a>00197   PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - Python    version %s\n&quot;</span>,pythonversion);
<a name="l00198"></a>00198 <span class="preprocessor">#endif</span>
<a name="l00199"></a>00199 <span class="preprocessor"></span>
<a name="l00200"></a>00200   PetscPrintf(PETSC_COMM_WORLD,
<a name="l00201"></a>00201     <span class="stringliteral">&quot;\ndata type sizes (bytes):\n&quot;</span>
<a name="l00202"></a>00202     <span class="stringliteral">&quot;int         %i\n&quot;</span>
<a name="l00203"></a>00203     <span class="stringliteral">&quot;PetscInt    %i\n&quot;</span>
<a name="l00204"></a>00204     <span class="stringliteral">&quot;double      %i\n&quot;</span>
<a name="l00205"></a>00205     <span class="stringliteral">&quot;PetscReal   %i\n&quot;</span>
<a name="l00206"></a>00206     <span class="stringliteral">&quot;size_t      %i\n&quot;</span>
<a name="l00207"></a>00207     <span class="stringliteral">&quot;D_EPS       %g\n&quot;</span>,
<a name="l00208"></a>00208     <span class="keyword">sizeof</span>(<span class="keywordtype">int</span>),
<a name="l00209"></a>00209     <span class="keyword">sizeof</span>(<a class="code" href="griddata_8h.html#a515706180f960b30595b607f2d734d14" title="Contains all data to control the simulations.">PetscInt</a>),
<a name="l00210"></a>00210     <span class="keyword">sizeof</span>(<span class="keywordtype">double</span>),
<a name="l00211"></a>00211     <span class="keyword">sizeof</span>(PetscReal),
<a name="l00212"></a>00212     <span class="keyword">sizeof</span>(<span class="keywordtype">size_t</span>),
<a name="l00213"></a>00213     <a class="code" href="griddata_8h.html#a26ab586dda1b8c780aa849e457c0cbad">D_EPS</a>
<a name="l00214"></a>00214   );
<a name="l00215"></a>00215 
<a name="l00216"></a>00216   PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;\nmagpar running with...\n&quot;</span>);
<a name="l00217"></a>00217   PetscTruth profile;
<a name="l00218"></a>00218   PetscOptionsHasName(PETSC_NULL,<span class="stringliteral">&quot;-profile&quot;</span>,&amp;profile);
<a name="l00219"></a>00219   PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - profiling &quot;</span>);
<a name="l00220"></a>00220   <span class="keywordflow">if</span> (profile) {
<a name="l00221"></a>00221     PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;enabled\n&quot;</span>);
<a name="l00222"></a>00222   }
<a name="l00223"></a>00223   <span class="keywordflow">else</span> {
<a name="l00224"></a>00224     PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;disabled\n&quot;</span>);
<a name="l00225"></a>00225   }
<a name="l00226"></a>00226   PetscTruth <a class="code" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61">info</a>;
<a name="l00227"></a>00227   PetscOptionsHasName(PETSC_NULL,<span class="stringliteral">&quot;-info&quot;</span>,&amp;info);
<a name="l00228"></a>00228   PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot; - PetscInfo (debugging,profiling output) &quot;</span>);
<a name="l00229"></a>00229   <span class="keywordflow">if</span> (info) {
<a name="l00230"></a>00230     PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;enabled\n&quot;</span>);
<a name="l00231"></a>00231   }
<a name="l00232"></a>00232   <span class="keywordflow">else</span> {
<a name="l00233"></a>00233     PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;disabled\n&quot;</span>);
<a name="l00234"></a>00234   }
<a name="l00235"></a>00235   PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;\n&quot;</span>);
<a name="l00236"></a>00236 
<a name="l00237"></a>00237 
<a name="l00238"></a>00238   PetscPrintf(PETSC_COMM_WORLD,
<a name="l00239"></a>00239     <span class="stringliteral">&quot;--------------------------------------------------------------------------\n&quot;</span>
<a name="l00240"></a>00240     <span class="stringliteral">&quot;magpar running on %i processor%s\n\n&quot;</span>, size, size&gt;1 ? <span class="stringliteral">&quot;s&quot;</span> : <span class="stringliteral">&quot;&quot;</span>
<a name="l00241"></a>00241   );
<a name="l00242"></a>00242   <span class="keywordtype">char</span> hostname[256];
<a name="l00243"></a>00243   ierr = PetscGetHostName(hostname,255);
<a name="l00244"></a>00244   PetscSynchronizedPrintf(PETSC_COMM_WORLD,
<a name="l00245"></a>00245     <span class="stringliteral">&quot;Hello world from processor %i on host %s!\n&quot;</span>,rank,hostname
<a name="l00246"></a>00246   );
<a name="l00247"></a>00247   PetscSynchronizedFlush(PETSC_COMM_WORLD);
<a name="l00248"></a>00248   PetscPrintf(PETSC_COMM_WORLD,<span class="stringliteral">&quot;\n&quot;</span>);
<a name="l00249"></a>00249 
<a name="l00250"></a>00250   <a class="code" href="griddata_8h.html#a8491466d8534a33d7163f5ea747e8210">MagparFunctionLogReturn</a>(0);
<a name="l00251"></a>00251 }
</pre></div></div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

